/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'ssnf',
				prop: 'ssnf',
				dataType: 'TEXT',
			},
			{
				name: 'zbzl',
				prop: 'zbzl',
				dataType: 'DECIMAL',
			},
			{
				name: 'bz',
				prop: 'bz',
				dataType: 'TEXT',
			},
			{
				name: 'dycpxh',
				prop: 'dycpxh',
				dataType: 'TEXT',
			},
			{
				name: 'clsjjz',
				prop: 'clsjjz',
				dataType: 'BIGDECIMAL',
			},
			{
				name: 'cx',
				prop: 'cx',
				dataType: 'TEXT',
			},
			{
				name: 'abl',
				prop: 'abl',
				dataType: 'SSCODELIST',
			},
			{
				name: 'sccs',
				prop: 'sccs',
				dataType: 'TEXT',
			},
			{
				name: 'hdzzl',
				prop: 'hdzzl',
				dataType: 'DECIMAL',
			},
			{
				name: 'srfmajortext',
				prop: 'cpxhname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'cpxhid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'cpxhid',
				dataType: 'GUID',
			},
			{
				name: 'xcgzj',
				prop: 'xcgzj',
				dataType: 'BIGDECIMAL',
			},
			{
				name: 'gl',
				prop: 'gl',
				dataType: 'DECIMAL',
			},
			{
				name: 'bm',
				prop: 'bm',
				dataType: 'TEXT',
			},
			{
				name: 'cpxhname',
				prop: 'cpxhname',
				dataType: 'TEXT',
			},
			{
				name: 'pl',
				prop: 'pl',
				dataType: 'DECIMAL',
			},
			{
				name: 'hpds',
				prop: 'hpds',
				dataType: 'SSCODELIST',
			},
			{
				name: 'pp',
				prop: 'pp',
				dataType: 'TEXT',
			},
			{
				name: 'hdzk',
				prop: 'hdzk',
				dataType: 'INT',
			},
			{
				name: 'cllxms',
				prop: 'cllxms',
				dataType: 'SSCODELIST',
			},
			{
				name: 'cxdm',
				prop: 'cxdm',
				dataType: 'TEXT',
			},
			{
				name: 'cpxh',
				prop: 'cpxhid',
			},

      {
        name: 'n_bm_like',
        prop: 'n_bm_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_cpxhname_like',
        prop: 'n_cpxhname_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_cx_like',
        prop: 'n_cx_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_cxdm_like',
        prop: 'n_cxdm_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_abl_eq',
        prop: 'n_abl_eq',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_cllxms_eq',
        prop: 'n_cllxms_eq',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_hdzk_eq',
        prop: 'n_hdzk_eq',
        dataType: 'INT',
      },
      {
        name: 'n_hdzzl_eq',
        prop: 'n_hdzzl_eq',
        dataType: 'DECIMAL',
      },
      {
        name: 'n_hpds_eq',
        prop: 'n_hpds_eq',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_pp_like',
        prop: 'n_pp_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_ssnf_eq',
        prop: 'n_ssnf_eq',
        dataType: 'TEXT',
      },
      {
        name: 'n_xcgzj_eq',
        prop: 'n_xcgzj_eq',
        dataType: 'BIGDECIMAL',
      },

      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}